[linux-dvb] How installing em28xx ?

David BERCOT linux-dvb at bercot.org
Sat Sep 27 22:44:11 CEST 2008


Le Sat, 27 Sep 2008 22:39:09 +0200,
"Markus Rechberger" <mrechberger at gmail.com> a écrit :
> >> On Sat, Sep 27, 2008 at 8:15 PM, David BERCOT
> >> <linux-dvb at bercot.org> wrote:
> >> > Hi,
> >> >
> >> > I used em28xx for the past, but now, it seems to be more
> >> > complicated... In http://mcentral.de/hg I found em28xx-new (but I
> >> > have many errors : [...]
> >> > 'dvb_net_release' /opt/em28xx-new/em2880-dvb.c:976: erreur:
> >> > implicit declaration of function
> >> > 'dvb_unregister_frontend' /opt/em28xx-new/em2880-dvb.c:977:
> >> > erreur: implicit declaration of function
> >> > 'dvb_frontend_detach' /opt/em28xx-new/em2880-dvb.c:981: erreur:
> >> > implicit declaration of function
> >> > 'dvb_dmx_release' /opt/em28xx-new/em2880-dvb.c:983: erreur:
> >> > implicit declaration of function 'dvb_unregister_adapter'
> >> > [...]) and the "old" v4l-dvb-kernel & v4l-dvb-experimental
> >> > doesn't work any more since 2.6.26 kernel.
> >> > I should use multiproto, but it seems heavy, no ?
> >> >
> >> > Do you have any suggestion ?
> >>
> >> do you have a custom kernel? or a default distribution - and which
> >> one?
> >
> > No, it is a classical kernel : 2.6.26-1-686 on Debian Sid.
> > Should I put all the errors ?
> 
> >> > 'dvb_unregister_frontend' /opt/em28xx-new/em2880-dvb.c:977:
> >> > erreur: implicit declaration of function
> 
> this means it cannot find some headers, you need to install the full
> kernel sources for your installed
> kernel before compiling the driver.

Really ? Kernel headers (in my case : linux-headers-2.6.26-1-686) are
not sufficient ? When I've installed em28xx (with v4l-dvb-experimental)
a few months ago, it was ok only with the headers...

OK. I'll try with the complete source (even if I don't understand
why ;-)))

Thank you very much.

David.




More information about the linux-dvb mailing list